# PhasicFlow: oTstream Class Reference

oTstream Class Reference
Inheritance diagram for oTstream:
[legend]
Collaboration diagram for oTstream:
[legend]

## Public Member Functions

| oTstream (const word &nm)
| oTstream (const oTstream &src)
| oTstream (oTstream &&)=default
virtual | ~oTstream ()=default
const tokenList & | tokens () const
tokenList & | tokens ()
virtual bool | write (const token &tok)
virtual iOstream & | write (const char c)
virtual iOstream & | write (const char *str)
virtual iOstream & | write (const word &str)
virtual iOstream & | writeQuoted (const std::string &str, const bool quoted=true)
virtual iOstream & | write (const int64 val) override
virtual iOstream & | write (const int32 val) override
virtual iOstream & | write (const label val) override
virtual iOstream & | write (const uint32 val) override
virtual iOstream & | write (const uint16 val) override
virtual iOstream & | write (const float val) override
virtual iOstream & | write (const double val) override
virtual void | append (const token &tok)
virtual void | append (const tokenList &tLisk)
void | reset ()
virtual void | rewind ()
virtual void | indent ()
virtual void | flush ()
virtual void | endl ()
virtual char | fill () const
virtual char | fill (const char)
virtual int | width () const
virtual int | width (const int)
virtual int | precision () const
virtual int | precision (const int)
virtual ios_base::fmtflags | flags () const
ios_base::fmtflags | flags (const ios_base::fmtflags)
Public Member Functions inherited from iOstream
| iOstream ()
| iOstream (const iOstream &)=default
virtual | ~iOstream ()=default
unsigned short | indentSize () const
unsigned short & | indentSize ()
unsigned short | indentLevel () const
unsigned short & | indentLevel ()
void | incrIndent ()
void | decrIndent ()
virtual iOstream & | beginBlock (const word &kw)
virtual iOstream & | beginBlock ()
virtual iOstream & | endBlock ()
virtual iOstream & | beginList ()
virtual iOstream & | beginList (const word &kw)
virtual iOstream & | endList ()
virtual iOstream & | beginSquare ()
virtual iOstream & | beginSquare (const word &kw)
virtual iOstream & | endSquare ()
virtual iOstream & | endEntry ()
virtual iOstream & | newLine ()
virtual iOstream & | space (int32 n=1)
virtual iOstream & | writeWordKeyword (const word &kw)
template<class T >
iOstream & | writeWordEntry (const word &key, const T &value)
iOstream & | operator() () const
Public Member Functions inherited from IOstream
| IOstream ()
| IOstream (const IOstream &)=default
virtual | ~IOstream ()=default
virtual const word & | name () const
virtual word & | name ()
virtual bool | check (const char *operation) const
bool | fatalCheck (const char *operation) const
bool | opened () const
bool | closed () const
bool | good () const
bool | eof () const
bool | fail () const
bool | bad () const
| operator bool () const
bool | operator! () const
int32 | lineNumber () const
int32 & | lineNumber ()
int32 | lineNumber (const int32 num)
void | setEof ()
void | setFail ()
void | setBad ()
ios_base::fmtflags | setf (const ios_base::fmtflags f)
ios_base::fmtflags | setf (const ios_base::fmtflags f, const ios_base::fmtflags mask)
void | unsetf (const ios_base::fmtflags f)

## Protected Attributes

word | name_
tokenList | tokenList_
Protected Attributes inherited from iOstream
unsigned short | indentSize_ = 4
unsigned short | indentLevel_ = 0
Protected Attributes inherited from IOstream
streamAccess | openClosed_
ios_base::iostate | ioState_
int32 | lineNumber_

## Additional Inherited Members

Public Types inherited from IOstream
enum | streamAccess : char { CLOSED = 0, OPENED }
Static Public Member Functions inherited from IOstream
static unsigned int | defaultPrecision ()
static unsigned int | defaultPrecision (unsigned int prec)
Static Public Attributes inherited from IOstream
static unsigned int | precision_ = 6
Protected Member Functions inherited from IOstream
void | setOpened ()
void | setClosed ()
void | setState (ios_base::iostate state)
void | setGood ()
Static Protected Attributes inherited from iOstream
static constexpr const unsigned short | entryIndentation_ = 16
Static Protected Attributes inherited from IOstream
static word | staticName_

## Detailed Description

Definition at line 23 of file oTstream.hpp.

## Constructor & Destructor Documentation

## oTstream() [1/3]

oTstream | ( | const word & | nm | ) |

Definition at line 6 of file oTstream.cpp.

## oTstream() [2/3]

oTstream | ( | const oTstream & | src | ) |

Definition at line 19 of file oTstream.cpp.

## oTstream() [3/3]

oTstream | ( | oTstream && |  | ) |

default

## ~oTstream()

virtual ~oTstream | ( |  | ) |

virtualdefault

## Member Function Documentation

## tokens() [1/2]

pFlow::tokenList & tokens | ( |  | ) | const

Definition at line 32 of file oTstream.cpp.

References oTstream::tokenList_.

Referenced by dataEntry::dataEntry().

Here is the caller graph for this function:

## tokens() [2/2]

tokenList& tokens | ( |  | ) |

## write() [1/11]

bool write | ( | const token & | tok | ) |

virtual

Implements iOstream.

Definition at line 44 of file oTstream.cpp.

References token::good().

Here is the call graph for this function:

## write() [2/11]

pFlow::iOstream & write | ( | const char | c | ) |

virtual

Implements iOstream.

Definition at line 56 of file oTstream.cpp.

## write() [3/11]

pFlow::iOstream & write | ( | const char * | str | ) |

virtual

Implements iOstream.

Definition at line 68 of file oTstream.cpp.

## write() [4/11]

pFlow::iOstream & write | ( | const word & | str | ) |

virtual

Implements iOstream.

Definition at line 77 of file oTstream.cpp.

## writeQuoted()

pFlow::iOstream & writeQuoted | ( | const std::string & | str,
|  | const bool | quoted = `true`
| ) |  |

virtual

Implements iOstream.

Definition at line 86 of file oTstream.cpp.

## write() [5/11]

pFlow::iOstream & write | ( | const int64 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 97 of file oTstream.cpp.

## write() [6/11]

pFlow::iOstream & write | ( | const int32 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 104 of file oTstream.cpp.

## write() [7/11]

pFlow::iOstream & write | ( | const label | val | ) |

overridevirtual

Implements iOstream.

Definition at line 114 of file oTstream.cpp.

## write() [8/11]

pFlow::iOstream & write | ( | const uint32 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 121 of file oTstream.cpp.

## write() [9/11]

pFlow::iOstream & write | ( | const uint16 | val | ) |

overridevirtual

Implements iOstream.

Definition at line 128 of file oTstream.cpp.

## write() [10/11]

pFlow::iOstream & write | ( | const float | val | ) |

overridevirtual

Implements iOstream.

Definition at line 136 of file oTstream.cpp.

## write() [11/11]

pFlow::iOstream & write | ( | const double | val | ) |

overridevirtual

Implements iOstream.

Definition at line 144 of file oTstream.cpp.

## append() [1/2]

void append | ( | const token & | tok | ) |

virtual

Definition at line 153 of file oTstream.cpp.

References pFlow::validTokenForStream().

Here is the call graph for this function:

## append() [2/2]

void append | ( | const tokenList & | tLisk | ) |

virtual

Definition at line 160 of file oTstream.cpp.

## reset()

void reset | ( |  | ) |

Definition at line 168 of file oTstream.cpp.

## rewind()

void rewind | ( |  | ) |

virtual

Definition at line 174 of file oTstream.cpp.

## indent()

virtual void indent | ( |  | ) |

inlinevirtual

Implements iOstream.

Definition at line 122 of file oTstream.hpp.

## flush()

virtual void flush | ( |  | ) |

inlinevirtual

Implements iOstream.

Definition at line 126 of file oTstream.hpp.

## endl()

virtual void endl | ( |  | ) |

inlinevirtual

Implements iOstream.

Definition at line 130 of file oTstream.hpp.

## fill() [1/2]

virtual char fill | ( |  | ) | const

inlinevirtual

Implements iOstream.

Definition at line 135 of file oTstream.hpp.

## fill() [2/2]

virtual char fill | ( | const char |  | ) |

inlinevirtual

Implements iOstream.

Definition at line 141 of file oTstream.hpp.

## width() [1/2]

virtual int width | ( |  | ) | const

inlinevirtual

Implements iOstream.

Definition at line 147 of file oTstream.hpp.

## width() [2/2]

virtual int width | ( | const int |  | ) |

inlinevirtual

Implements iOstream.

Definition at line 154 of file oTstream.hpp.

## precision() [1/2]

virtual int precision | ( |  | ) | const

inlinevirtual

Implements iOstream.

Definition at line 160 of file oTstream.hpp.

## precision() [2/2]

virtual int precision | ( | const int |  | ) |

inlinevirtual

Implements iOstream.

Definition at line 167 of file oTstream.hpp.

## flags() [1/2]

virtual ios_base::fmtflags flags | ( |  | ) | const

inlinevirtual

Implements IOstream.

Definition at line 173 of file oTstream.hpp.

## flags() [2/2]

ios_base::fmtflags flags | ( | const ios_base::fmtflags |  | ) |

inlinevirtual

Implements IOstream.

Definition at line 179 of file oTstream.hpp.

## Member Data Documentation

## name_

word name_

protected

Definition at line 31 of file oTstream.hpp.

## tokenList_

tokenList tokenList_

protected

Definition at line 34 of file oTstream.hpp.

Referenced by oTstream::tokens().

The documentation for this class was generated from the following files:

- src/phasicFlow/streams/TStream/oTstream.hpp
- src/phasicFlow/streams/TStream/oTstream.cpp